/*
Front gateway

Front gateway

API version: 0.0.1
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package openapi

import (
	"encoding/json"
)

// PlainError struct for PlainError
type PlainError struct {
	Message *string `json:"message,omitempty"`
}

// NewPlainError instantiates a new PlainError object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewPlainError() *PlainError {
	this := PlainError{}
	return &this
}

// NewPlainErrorWithDefaults instantiates a new PlainError object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewPlainErrorWithDefaults() *PlainError {
	this := PlainError{}
	return &this
}

// GetMessage returns the Message field value if set, zero value otherwise.
func (o *PlainError) GetMessage() string {
	if o == nil || o.Message == nil {
		var ret string
		return ret
	}
	return *o.Message
}

// GetMessageOk returns a tuple with the Message field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *PlainError) GetMessageOk() (*string, bool) {
	if o == nil || o.Message == nil {
		return nil, false
	}
	return o.Message, true
}

// HasMessage returns a boolean if a field has been set.
func (o *PlainError) HasMessage() bool {
	if o != nil && o.Message != nil {
		return true
	}

	return false
}

// SetMessage gets a reference to the given string and assigns it to the Message field.
func (o *PlainError) SetMessage(v string) {
	o.Message = &v
}

func (o PlainError) MarshalJSON() ([]byte, error) {
	toSerialize := map[string]interface{}{}
	if o.Message != nil {
		toSerialize["message"] = o.Message
	}
	return json.Marshal(toSerialize)
}

type NullablePlainError struct {
	value *PlainError
	isSet bool
}

func (v NullablePlainError) Get() *PlainError {
	return v.value
}

func (v *NullablePlainError) Set(val *PlainError) {
	v.value = val
	v.isSet = true
}

func (v NullablePlainError) IsSet() bool {
	return v.isSet
}

func (v *NullablePlainError) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullablePlainError(val *PlainError) *NullablePlainError {
	return &NullablePlainError{value: val, isSet: true}
}

func (v NullablePlainError) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullablePlainError) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


